Subject: bug#12068: 24.1; customizing debug-on-error to nil disables --debug-init

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 01 Feb 2014 00:05:27 -0800

Glenn Morris <[email-masked]> writes:

> Dave Abrahams wrote:
>
>> What do you think people will do when they've set it to non-nil and then
>> they get annoyed that they're always dropping into the debugger and
>> really want to turn it back off so it sticks?
>
> I recommend "erase customization" rather than toggling.
>
> I don't think it's worth implementing special handling for this
> scenario, so I have marked this as "wontfix".

Does it even make sense to have `debug-on-error' be a `defcustom'?
I don't think anybody would actually customize `debug-on-error' to `nil'
(or anything else, for that matter) on purpose, would they?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/